2019-12-09 01:46 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002009Spring engineGeneralpublic2019-11-27 23:45
Reporterzerver 
Assigned ToKloot 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.81.2.1 
Target VersionFixed in Version0.82.0+git 
Summary0002009: Commander unloaded from trans survive adv fusion blast with almost no damage
DescriptionCommander is unloaded in the very instance the adv fusion explosion occurs.
Additional InformationUse the attached demo
/skip 800

Watch yellow com being dropped near the upper right
Blue player self-d the adv fusion, but com sustains almost no damage.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0005196

Kloot (developer)

The explanation is simple.

1) Explosions need to search the quadfield for units to deal damage within the blast radius.

2) Units being transported do not update their quadfield position.

3) The cafus self-destructed just before the air-lifted commander updated its qf position again.

4) Therefore, as far as the explosion was concerned, there was no commander nearby at all.

~0005197

zerver (reporter)

But there must be some way to work around this? How about forcefully update the quadfield at unload time?

~0005199

Kloot (developer)

The window is at most 16 frames. That really does not seem worth it.

~0005201

zerver (reporter)

Not worth it... well, it fixes a bug with no significant performance impact since unloading is a rare event. I will definitely try to fix it.

~0005202

Kloot (developer)

It is the kind of hard-to-exploit bug that occurs in maybe 1 out of every 10000 games, and you did mark it as low priority, so...

~0020259

Kloot (developer)

Fix f4342133ffe08f88920cb38076f84ae5c88f16f6 committed to develop branch: * fix 0002009 (sigh), repo: spring changeset id: 11517
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-07-30 21:25 zerver New Issue
2010-07-30 21:25 zerver File Added: 20100730_021311_DeltaSiegeDry_0.81.2_bug.sdf
2010-07-31 01:26 Kloot Note Added: 0005196
2010-07-31 01:27 Kloot Status new => closed
2010-07-31 01:27 Kloot Resolution open => no change required
2010-07-31 02:34 zerver Note Added: 0005197
2010-07-31 02:34 zerver Assigned To => zerver
2010-07-31 02:34 zerver Status closed => assigned
2010-07-31 02:34 zerver Resolution no change required => reopened
2010-07-31 10:56 Kloot Note Added: 0005199
2010-07-31 12:55 zerver Note Added: 0005201
2010-07-31 14:08 Kloot Note Added: 0005202
2010-07-31 14:39 Kloot Assigned To zerver => Kloot
2010-07-31 14:39 Kloot Status assigned => resolved
2010-07-31 14:39 Kloot Fixed in Version => 0.82.0+git
2010-07-31 14:39 Kloot Resolution reopened => fixed
2019-11-27 23:45 Kloot Changeset attached => spring develop f4342133
2019-11-27 23:45 Kloot Note Added: 0020259
+Issue History